/*
 	BONE resolver

	Copyright (C) 1999 Be Incorporated.  All Rights Reserved.

 */

#ifndef H_INET_H
#define	H_INET_H

#include <sys/cdefs.h>
#include <sys/bitypes.h>

/* to remain binary-compatible with ISC libbind, we must mangle
   these function's names */
#define inet_addr		__inet_addr
#define inet_aton		__inet_aton
#define inet_ntoa		__inet_ntoa


#ifdef __cplusplus
extern "C" {
#endif



unsigned long	 	inet_addr(const char *buf);
int					inet_aton(const char *addr, struct in_addr *buf);
const char			*inet_ntoa(struct in_addr addr);
const char			*inet_ntoa_r(struct in_addr addr, char *buf);


#ifdef __cplusplus
}
#endif

#endif /* H_INET */
